Create a bank transaction Run in API Explorer
Ask AI
Incoming transactions from a bank statement.
POST
/api/v1/bank-transaction
curl \
--request POST 'https://api.plannrcrm.com/api/v1/bank-transaction' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"bank_statement_uuid":"067bd283-3655-43c1-8b7a-deba85ad299a","bank_transactions":[{"date":"2022-07-15","amount":12345,"reference":"AvivaRef#34"},{"date":"2022-07-14","amount":19855,"reference":"VIT_LTD"}]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"bank_statement_uuid": "067bd283-3655-43c1-8b7a-deba85ad299a",
"bank_transactions": [
{
"date": "2022-07-15",
"amount": 12345,
"reference": "AvivaRef#34"
},
{
"date": "2022-07-14",
"amount": 19855,
"reference": "VIT_LTD"
}
]
}
Response examples (200)
{
"uuid": "39379a3b-20c0-4f7e-b130-672b9a8001c3",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"date": "2022-07-15",
"amount": {
"amount": "12399",
"currency": "GBP",
"formatted": "£123.99"
},
"reference": "VitalityLtd",
"metadata": {
"client_name": "Gareth Thompson"
},
"filename": "Natwest June 2022 Statement.xlsx",
"bank_statement": {
"uuid": "f4646f63-ac68-4eca-82d2-53c34245b73c",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"number": 23,
"reference": "SW#8434",
"date": "2026-07-22",
"name": "Aviva",
"statement": {
"uuid": "638d9271-b904-4a69-a853-61b4809c89d5",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-07-22T14:08:48+01:00",
"total_expectations": null,
"total_statement_transactions": null,
"total_bank_transactions": null,
"total_expectation_amount_reconciled_to_bank": null,
"total_expectation_percentage_reconciled_to_bank": null,
"expectations_count": 6,
"statement_transactions_count": 6
},
"bank_transactions_count": 6,
"bank_transactions": {
"uuid": "43c0b38c-067d-47ef-a222-c3c825339cc8",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"date": "2022-07-15",
"amount": null,
"reference": "VitalityLtd",
"metadata": {
"client_name": "Gareth Thompson"
},
"filename": "Natwest June 2022 Statement.xlsx"
},
"total_amount": {
"amount": "345895",
"currency": "GBP",
"formatted": "£3,458.95"
},
"reconciled_amount": {
"amount": "12849",
"currency": "GBP",
"formatted": "£128.49"
},
"reconciled_percentage": 95.68
},
"statement": {
"uuid": "3ed45b22-cae2-4189-af6e-8edcefe8b55b",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-07-22T14:08:41+01:00",
"locked_by": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"total_expectations": {
"amount": "124585",
"currency": "GBP",
"formatted": "£1,245.85"
},
"total_statement_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_bank_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_amount_reconciled_to_bank": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_percentage_reconciled_to_bank": {
"amount": "8570",
"currency": "GBP",
"formatted": "£85.70"
},
"expectations_count": 6,
"statement_transactions_count": 6,
"statement_transactions": {
"uuid": "83d47957-17c9-43f1-a4d5-8f57f349d4dd",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "96t7eBd4RE",
"policy_number": "AVIVA_00001",
"date": "2026-07-22",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"metadata": {
"client_name": "Gareth Thompson"
}
}
},
"account": {
"uuid": "66db1676-d4f0-4277-bfe9-02f9a67b2a8d",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b8b87c0b-351c-404e-9a99-f8d1e35ccf53",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "e84435a0-6148-479a-a240-5e4ad20fa249",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "e84435a0-6148-479a-a240-5e4ad20fa249",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "49e611e7-0b12-449f-8530-964880c28890",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-07-22T13:18:48+01:00",
"end_date": "2026-07-22T13:46:48+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "315039df-2679-475b-98e4-11d38ee01a8e",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00"
},
"tags": {
"uuid": "1cf2aa8d-4fc2-4c1e-9a53-7ebd571b87c5",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-07-22T14:08:41+01:00",
"next_review_date": "2026-07-22T14:08:41+01:00",
"previous_review_date": "2026-07-22T14:08:41+01:00",
"anniversary_review_date": "2026-07-22T14:08:41+01:00",
"terms_of_business_at": "2026-07-22T14:08:41+01:00",
"client_agreement_at": "2026-07-22T14:08:41+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ce7969d1-b161-49b0-854c-ecee3add864f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-22T14:08:48+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2b1fa473-a47d-4906-bd62-7b416c15730c",
"login_access_level": "write",
"current_life_stage_uuid": "7fa9d874-fbea-4d21-bb3a-5081b77eab5b"
},
"circles": {
"uuid": "ce7969d1-b161-49b0-854c-ecee3add864f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-22T14:08:48+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2b1fa473-a47d-4906-bd62-7b416c15730c",
"login_access_level": "write",
"current_life_stage_uuid": "7fa9d874-fbea-4d21-bb3a-5081b77eab5b"
},
"ownership_percentage": 100,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:41",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "171d5ffa-127a-487b-b548-09c3dc7d9a32",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"firm": {
"uuid": "aa9d417b-42a3-4041-89bf-0b3f542b001a",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"addon_subscriptions": {
"uuid": "79399a25-3d80-435b-b377-99383bfbac3f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"enabled": "true",
"trial_ends_at": "2026-08-05",
"trial_ends_in_days": 14,
"payment_confirmed_at": "2026-08-09"
},
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"task_board_template": {
"uuid": null,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"is_template": false,
"name": "Task Board",
"default_list_uuid": null,
"is_editable": true,
"priorities": [
{
"name": "High",
"value": "high"
},
{
"name": "Low",
"value": "low"
}
]
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"reconciliation": {
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"percentage": 100,
"is_reconciled": true
},
"reconciliations": {
"uuid": "3c414d9b-ebb9-4600-891b-242081120e99",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"statement_transaction": {
"uuid": "83d47957-17c9-43f1-a4d5-8f57f349d4dd",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "96t7eBd4RE",
"policy_number": "AVIVA_00001",
"date": "2026-07-22",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"metadata": {
"client_name": "Gareth Thompson"
}
},
"bank_transaction": {
"uuid": "43c0b38c-067d-47ef-a222-c3c825339cc8",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"date": "2022-07-15",
"amount": null,
"reference": "VitalityLtd",
"metadata": {
"client_name": "Gareth Thompson"
},
"filename": "Natwest June 2022 Statement.xlsx"
},
"account": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
}
}
}